Module jdk.scripting.nashorn
Package jdk.nashorn.api.scripting

## Class URLReader

- java.lang.Object
- - java.io.Reader
  - - jdk.nashorn.api.scripting.URLReader

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Readable`

    @Deprecated(since="11",
                forRemoval=true)
    public final class URLReader
    extends Reader

Deprecated, for removal: This API element is subject to removal in a future version.
Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
A Reader that reads from a URL. Used to make sure that the reader reads content from given URL and can be trusted to do so.

Since:
  1.8u40

### Field Summary

### Fields declared in class java.io.Reader

`lock`

### Constructor Summary

Constructors
`URLReader​(URL url)` Deprecated, for removal: This API element is subject to removal in a future version. Constructor
`URLReader​(URL url, String charsetName)` Deprecated, for removal: This API element is subject to removal in a future version. Constructor
`URLReader​(URL url, Charset cs)` Deprecated, for removal: This API element is subject to removal in a future version. Constructor

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`Charset` `getCharset()` Deprecated, for removal: This API element is subject to removal in a future version. Charset used by this reader
`URL` `getURL()` Deprecated, for removal: This API element is subject to removal in a future version. URL of this reader

### Methods declared in class java.io.Reader

`close, mark, markSupported, nullReader, read, read, read, read, ready, reset, skip, transferTo`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### URLReader

    public URLReader​(URL url)

Deprecated, for removal: This API element is subject to removal in a future version.
Constructor

Parameters:
  `url` - URL for this URLReader
Throws:
  `NullPointerException` - if url is null

#### URLReader

    public URLReader​(URL url,
                     String charsetName)

Deprecated, for removal: This API element is subject to removal in a future version.
Constructor

Parameters:
  `url` - URL for this URLReader
  `charsetName` - Name of the Charset used to convert bytes to chars
Throws:
  `NullPointerException` - if url is null

#### URLReader

    public URLReader​(URL url,
                     Charset cs)

Deprecated, for removal: This API element is subject to removal in a future version.
Constructor

Parameters:
  `url` - URL for this URLReader
  `cs` - Charset used to convert bytes to chars
Throws:
  `NullPointerException` - if url is null

### Method Detail

#### getURL

    public URL getURL()

Deprecated, for removal: This API element is subject to removal in a future version.
URL of this reader

Returns:
  the URL from which this reader reads.

#### getCharset

    public Charset getCharset()

Deprecated, for removal: This API element is subject to removal in a future version.
Charset used by this reader

Returns:
  the Charset used to convert bytes to chars